for Red Hat packager

Vincent Béron vberon at
Tue Sep 9 19:58:14 CDT 2003

Le mar 09/09/2003 à 13:47, Bill Medland a écrit :
> , except that rpm insists on the appropriate packages being installed before 
> it will even install the wine.  Personally my environment is for business 
> computing.  I only have a sound card because it is on the board; I don't have 
> speakers.  So I have no need for sound, scanner support, camera support and 
> all the other things that a lot of people do want.  Therefore I find it 
> extremely frustrating when I have to install packages purely to satisfy an 
> rpm requirement.

Here's the list of dependencies for a freshly built Wine package on RH9:
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1

The devel package adds a couple perl modules to this.

As you can see, there's no dependency anymore on arts, sane, etc. as
they're detected at run-time. This package has been built on a full
install of RH9 (minus kernel-source for disk space shortness).


More information about the wine-devel mailing list